Update Pimcore 4.4 to 4.6 - SSL Errors


#1

Hi @all,

I have to update our Pimcore 4.4.3 to the latest 5.x release. But I struggle with the Update from version 4.4 to 4.6.

I try to make an update over the cli:
php5 pimcore/cli/console.php update -vvv -l
I know that will only retrieve the list with available releases. Anyway this did not work for me. I get always the following error:

root@DE01PIMTESTSYSTEM:/var/www/pimcore# php5 pimcore/cli/console.php update -vvv -l

Warning: stream_socket_enable_crypto(): SSL operation failed with code 1. OpenSSL Error messages:
error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed in /var/www/pimcore/vendor/zendframework/zendframework1/library/Zend/Http/Client/Adapter/Proxy.php on line 308

Warning: stream_socket_enable_crypto(): SSL/TLS already set-up for this stream in /var/www/pimcore/vendor/zendframework/zendframework1/library/Zend/Http/Client/Adapter/Proxy.php on line 308

Warning: stream_socket_enable_crypto(): SSL/TLS already set-up for this stream in /var/www/pimcore/vendor/zendframework/zendframework1/library/Zend/Http/Client/Adapter/Proxy.php on line 308

Warning: stream_socket_enable_crypto(): SSL/TLS already set-up for this stream in /var/www/pimcore/vendor/zendframework/zendframework1/library/Zend/Http/Client/Adapter/Proxy.php on line 308


  [Exception]
  Unable to retrieve response from update server. Please ensure that your server is allowed to connect to update.pimcore.org:443


Exception trace:
 () at /var/www/pimcore/pimcore/lib/Pimcore/Update.php:106
 Pimcore\Update::getAvailableUpdates() at /var/www/pimcore/pimcore/lib/Pimcore/Console/Command/UpdateCommand.php:63
 Pimcore\Console\Command\UpdateCommand->execute() at /var/www/pimcore/vendor/symfony/console/Command/Command.php:262
 Symfony\Component\Console\Command\Command->run() at /var/www/pimcore/vendor/symfony/console/Application.php:848
 Symfony\Component\Console\Application->doRunCommand() at /var/www/pimcore/vendor/symfony/console/Application.php:189
 Symfony\Component\Console\Application->doRun() at /var/www/pimcore/vendor/symfony/console/Application.php:120
 Symfony\Component\Console\Application->run() at /var/www/pimcore/pimcore/cli/console.php:25

I should mentioned that we are working behind a proxy. The following configurations have been done with no success:

  • Setting up the system proxy for HTTP and HTTPS
  • Update the ca certificates usinf apt install ca-certificates
  • Update the wohle debian Jessie system with the latest software (including update OpenSSL to 1.1 and PHP5)
  • Editing the php.ini to use a cert file directly.

Nothing will really work.

So can someone here give some advice to get the update running? To be honest I have no more ideas what I should configure.

thx in advance
Dominik